<?php

namespace Drupal\gdpr_compliance\Controller;

/**
 * @file
 * Contains \Drupal\gdpr_compliance\Controller\FormWarning.
 */
use Drupal\Core\Controller\ControllerBase;
use Drupal\Core\Url;

/**
 * Controller routines for page example routes.
 */
class FormWarning extends ControllerBase {

  /**
   * Add "Cookie & Privacy Policy" warning.
   */
  public static function addWarning(&$form) {
    // Generate url for 'More information' link.
    $link = \Drupal::config('gdpr_compliance.settings')->get('from-morelink');
    if (substr($link, 0, 1) == '/') {
      // A path should be handled as user input.
      $url = Url::fromUserInput($link);
    }
    else {
      // An external url should use 'fromUri'.
      $url = Url::fromUri($link);
    }

    $form['gdpr-warning'] = [
      '#type' => 'checkbox',
      '#title' => t("I have read and agree to the Cookie & Privacy Policy"),
      '#default_value' => FALSE,
      '#required' => TRUE,
      '#attributes' => [
        'required' => 'required',
      ],
      '#description' => t(
        "<a href='@href' target='_blank'>Cookie & Privacy Policy for Website</a>",
        ['@href' => $url->toString()]
      ),
      '#weight' => 99,
    ];
  }

}
